%define api_version     3.0
%define lib_major	0
%define lib_name	%mklibname soup %{api_version} %{lib_major}
%define gi_name		%mklibname soup-gir %{api_version}
%define develname	%mklibname soup %{api_version} -d

%bcond_without docs

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^(%d+%.%d+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^(%d+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	SOAP (Simple Object Access Protocol) implementation
Name:		libsoup
Version:	3.6.5
Release:	%mkrel 1
License:	LGPLv2
Group:		System/Libraries
URL:		https://www.gnome.org/
Source0:	https://download.gnome.org/sources/libsoup/%{url_ver}/libsoup-%{version}.tar.xz

BuildRequires:	git
BuildRequires:	intltool
BuildRequires:	meson
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(krb5-gssapi)
BuildRequires:	pkgconfig(libbrotlidec)
BuildRequires:	pkgconfig(libnghttp2)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libpsl)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(sysprof-capture-4)
BuildRequires:	samba-winbind-clients
BuildRequires:	pkgconfig(vapigen)
Requires:	glib-networking

%if %{with docs}
BuildRequires:	gi-docgen
%endif

%description
Soup is a SOAP (Simple Object Access Protocol) implementation in C.

It provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

%package -n %{name}%{api_version}-i18n
Summary:	Library for soup - translations
Group:		System/Internationalization
BuildArch:	noarch
Obsoletes:	libsoup3-i18n < 3.4.3-2

%description -n %{name}%{api_version}-i18n
Soup is a SOAP (Simple Object Access Protocol) implementation in C.

It provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

This package contains translations used by soup.

%package -n %{lib_name}
Summary:	Libraries for soup
Group:		System/Libraries
Requires:	%{name}%{api_version}-i18n >= %{version}-%{release}
# NTLM authentication
Recommends:	samba-winbind-clients

%description -n %{lib_name}
Soup is a SOAP (Simple Object Access Protocol) implementation in C.

It provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

This package contains libraries used by soup.

%package -n %{gi_name}
Summary:	GObject Introspection interface library for libsoup
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}

%description -n %{gi_name}
GObject Introspection interface library for libsoup.

%package -n %{develname}
Summary:	Development libraries, header files and utilities for soup
Group:		Development/GNOME and GTK+
Provides:	libsoup%{api_version}-devel = %{version}-%{release}
Provides:	libsoup-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Requires:	%{gi_name} = %{version}
Obsoletes:      %{_lib}soup3-devel < 3.4.3-2

%description -n %{develname}
Soup is a SOAP (Simple Object Access Protocol) implementation in C.

It provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

This package contains the files necessary to develop applications with soup.

%prep
%autosetup -p1 -n libsoup-%version

%build
%meson \
	-Dtls_check=false \
 	-Dautobahn=disabled \
 	-Dtests=false \
	-Ddocs=%{?with_docs:enabled}%{?!with_docs:disabled}

%meson_build

%install
%meson_install

install -m 644 -D tests/libsoup.supp %{buildroot}%{_datadir}/libsoup-3.0/libsoup.supp

%find_lang libsoup-%{api_version}

%files -n %{name}%{api_version}-i18n -f libsoup-%{api_version}.lang

%files -n %{lib_name}
%license COPYING
%{_libdir}/libsoup-%{api_version}.so.%{lib_major}{,.*}

%files -n %{gi_name}
%{_libdir}/girepository-1.0/Soup-%{api_version}.typelib

%files -n %{develname}
%doc README AUTHORS NEWS
%if %{with docs}
%doc %{_docdir}/libsoup-%{api_version}/
%endif
%{_datadir}/gir-1.0/Soup-%{api_version}.gir
%{_libdir}/libsoup-%{api_version}.so
%{_libdir}/pkgconfig/libsoup-%{api_version}.pc
%dir %{_datadir}/libsoup-%{api_version}/
%{_datadir}/libsoup-%{api_version}/libsoup.supp
%{_includedir}/libsoup-%{api_version}/
%{_datadir}/vala/vapi/libsoup-%{api_version}.deps
%{_datadir}/vala/vapi/libsoup-%{api_version}.vapi


%changelog
* Sat Mar 22 2025 daviddavid <daviddavid> 3.6.5-1.mga10
+ Revision: 2168357
- new version 3.6.5

* Tue Jan 21 2025 daviddavid <daviddavid> 3.6.4-1.mga10
+ Revision: 2140153
- new version 3.6.4

* Sat Nov 30 2024 daviddavid <daviddavid> 3.6.1-1.mga10
+ Revision: 2120045
- new version 3.6.1
- remove merged upstream patches

* Thu Nov 28 2024 ns80 <ns80> 3.6.0-2.mga10
+ Revision: 2119620
- add patches from Ubuntu for CVE-2024-5253[12] (mga#33765)

* Wed Sep 18 2024 daviddavid <daviddavid> 3.6.0-1.mga10
+ Revision: 2098036
- new version 3.6.0

* Sat Nov 04 2023 daviddavid <daviddavid> 3.4.4-1.mga10
+ Revision: 2003953
- new version 3.4.4

* Wed Oct 11 2023 wally <wally> 3.4.3-2.mga10
+ Revision: 1994642
- rename src pkg as libsoup

* Sun Sep 24 2023 tv <tv> 3.4.3-1.mga10
+ Revision: 1990304
- 3.4.3

* Sat Jun 03 2023 daviddavid <daviddavid> 3.4.2-1.mga9
+ Revision: 1960847
- new version 3.4.2

* Mon Apr 24 2023 neoclust <neoclust> 3.4.1-1.mga9
+ Revision: 1954684
- New version 3.4.1

* Sat Apr 22 2023 tmb <tmb> 3.4.0-1.mga9
+ Revision: 1954121
- update to 3.4.0

* Wed Nov 23 2022 tv <tv> 3.2.2-1.mga9
+ Revision: 1910496
- 3.2.2

* Wed Sep 28 2022 tv <tv> 3.2.0-2.mga9
+ Revision: 1892937
- Backported upstream MR to fix gnome-maps crashes (rhbz#2129914, ggo#310)

* Sun Sep 18 2022 wally <wally> 3.2.0-1.mga9
+ Revision: 1890058
- new version 3.2.0

* Fri Sep 02 2022 ovitters <ovitters> 3.0.8-1.mga9
+ Revision: 1883508
- new version 3.0.8
- new version 3.0.7
+ wally <wally>
- tag docs as such
- add %%license for lib pkg

* Thu Mar 31 2022 ovitters <ovitters> 3.0.6-1.mga9
+ Revision: 1837452
- new version 3.0.6

* Fri Mar 18 2022 ovitters <ovitters> 3.0.5-1.mga9
+ Revision: 1798598
- new version 3.0.5

* Mon Jan 10 2022 tv <tv> 3.0.3-2.mga9
+ Revision: 1767844
- Do not replace libsoup-devel-2.x

* Mon Jan 10 2022 tv <tv> 3.0.3-1.mga9
+ Revision: 1767838
- BR pkgconfig(gnutls)
- BR pkgconfig(libnghttp2)
- imported package libsoup3


* Tue Nov 30 2010 Götz Waschk <waschk@mandriva.org> 2.32.2-1mdv2011.0
+ Revision: 603404
- update to new version 2.32.2

* Tue Nov 16 2010 Götz Waschk <waschk@mandriva.org> 2.32.1-1mdv2011.0
+ Revision: 597925
- update to new version 2.32.1

* Tue Sep 28 2010 Götz Waschk <waschk@mandriva.org> 2.32.0-1mdv2011.0
+ Revision: 581640
- update to new version 2.32.0

* Mon Sep 13 2010 Götz Waschk <waschk@mandriva.org> 2.31.92-1mdv2011.0
+ Revision: 578094
- new version
- drop patch 1

* Sat Sep 11 2010 Götz Waschk <waschk@mandriva.org> 2.31.90-3mdv2011.0
+ Revision: 577207
- fix build with new gobject-introspection

* Tue Aug 17 2010 Götz Waschk <waschk@mandriva.org> 2.31.90-1mdv2011.0
+ Revision: 570966
- update to new version 2.31.90

* Mon Aug 09 2010 Götz Waschk <waschk@mandriva.org> 2.31.6-2mdv2011.0
+ Revision: 568147
- rebuild for new libproxy

* Tue Aug 03 2010 Götz Waschk <waschk@mandriva.org> 2.31.6-1mdv2011.0
+ Revision: 565373
- new version
- drop patch 2

* Fri Jul 30 2010 Götz Waschk <waschk@mandriva.org> 2.31.2-3mdv2011.0
+ Revision: 563373
- new version
- add introspection support
- conflict with older gir-repository

* Mon Jul 12 2010 Götz Waschk <waschk@mandriva.org> 2.30.2-2mdv2011.0
+ Revision: 551231
- fix ssl access
- add support for running the testsuite

* Wed Jun 23 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.2-1mdv2010.1
+ Revision: 548660
- Release 2.30.2

* Wed Apr 28 2010 Christophe Fergeau <cfergeau@mandriva.com> 2.30.1-2mdv2010.1
+ Revision: 540357
- rebuild so that shared libraries are properly stripped again

* Tue Apr 27 2010 Götz Waschk <waschk@mandriva.org> 2.30.1-1mdv2010.1
+ Revision: 539445
- update to new version 2.30.1

* Mon Mar 29 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 528930
- update to new version 2.30.0

* Tue Feb 23 2010 Götz Waschk <waschk@mandriva.org> 2.29.91-1mdv2010.1
+ Revision: 509947
- update to new version 2.29.91

* Tue Feb 09 2010 Götz Waschk <waschk@mandriva.org> 2.29.90-1mdv2010.1
+ Revision: 502603
- update to new version 2.29.90

* Tue Jan 26 2010 Götz Waschk <waschk@mandriva.org> 2.29.6-1mdv2010.1
+ Revision: 496492
- update to new version 2.29.6

* Wed Jan 13 2010 Götz Waschk <waschk@mandriva.org> 2.29.5-2mdv2010.1
+ Revision: 490631
- update devel deps

* Tue Jan 12 2010 Götz Waschk <waschk@mandriva.org> 2.29.5-1mdv2010.1
+ Revision: 490412
- update to new version 2.29.5

* Tue Dec 22 2009 Götz Waschk <waschk@mandriva.org> 2.29.3-2mdv2010.1
+ Revision: 481473
- fix gir build
- disable gtk-doc

* Wed Dec 09 2009 Götz Waschk <waschk@mandriva.org> 2.29.3-1mdv2010.1
+ Revision: 475430
- update to new version 2.29.3

* Thu Oct 22 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.1-1mdv2010.0
+ Revision: 458836
- Release 2.28.1

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 446842
- update to new version 2.28.0

* Thu Sep 10 2009 Götz Waschk <waschk@mandriva.org> 2.27.92-1mdv2010.0
+ Revision: 437459
- update to new version 2.27.92

* Tue Aug 25 2009 Götz Waschk <waschk@mandriva.org> 2.27.91-1mdv2010.0
+ Revision: 420749
- update build deps
- update to new version 2.27.91

* Mon Aug 10 2009 Götz Waschk <waschk@mandriva.org> 2.27.90-1mdv2010.0
+ Revision: 414479
- new version
- drop patch 1

* Wed Aug 05 2009 Götz Waschk <waschk@mandriva.org> 2.27.5-2mdv2010.0
+ Revision: 410236
- fix warnings caused by libsoup headers

* Tue Jul 28 2009 Götz Waschk <waschk@mandriva.org> 2.27.5-1mdv2010.0
+ Revision: 401408
- update to new version 2.27.5

* Mon Jul 13 2009 Götz Waschk <waschk@mandriva.org> 2.27.4-1mdv2010.0
+ Revision: 395473
- update to new version 2.27.4

* Tue Jun 16 2009 Götz Waschk <waschk@mandriva.org> 2.27.2-1mdv2010.0
+ Revision: 386467
- update to new version 2.27.2

* Thu May 07 2009 Eugeni Dodonov <eugeni@mandriva.com> 2.27.1-1mdv2010.0
+ Revision: 373066
- Updated to 2.27.1

* Tue Apr 14 2009 Götz Waschk <waschk@mandriva.org> 2.26.1-1mdv2009.1
+ Revision: 366931
- update to new version 2.26.1

* Mon Mar 16 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 356172
- update build deps
- update to new version 2.26.0

* Tue Feb 17 2009 Götz Waschk <waschk@mandriva.org> 2.25.91-1mdv2009.1
+ Revision: 341276
- update to new version 2.25.91

* Tue Feb 03 2009 Götz Waschk <waschk@mandriva.org> 2.25.5-1mdv2009.1
+ Revision: 336734
- new version
- fix build
- depend on libproxy

* Tue Jan 06 2009 Götz Waschk <waschk@mandriva.org> 2.25.4-1mdv2009.1
+ Revision: 325243
- update to new version 2.25.4

* Thu Dec 18 2008 Götz Waschk <waschk@mandriva.org> 2.25.3-1mdv2009.1
+ Revision: 315882
- drop patch
- fix build deps
- update to new version 2.25.3

* Tue Dec 02 2008 Götz Waschk <waschk@mandriva.org> 2.25.2-1mdv2009.1
+ Revision: 309055
- update to new version 2.25.2

* Wed Nov 05 2008 Götz Waschk <waschk@mandriva.org> 2.25.1-1mdv2009.1
+ Revision: 299990
- fix build deps again
- fix build deps
- new version
- fix linking

* Tue Oct 21 2008 Götz Waschk <waschk@mandriva.org> 2.24.1-1mdv2009.1
+ Revision: 295933
- update to new version 2.24.1

* Wed Sep 24 2008 Götz Waschk <waschk@mandriva.org> 2.24.0.1-1mdv2009.0
+ Revision: 287806
- new version

* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 286843
- new version

* Mon Sep 08 2008 Götz Waschk <waschk@mandriva.org> 2.23.92-1mdv2009.0
+ Revision: 282824
- new version

* Tue Sep 02 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-1mdv2009.0
+ Revision: 278807
- new version

* Mon Aug 04 2008 Götz Waschk <waschk@mandriva.org> 2.23.6-1mdv2009.0
+ Revision: 263340
- new version
- drop patch

* Fri Jul 04 2008 Götz Waschk <waschk@mandriva.org> 2.23.1-1mdv2009.0
+ Revision: 231605
- new version
- update license
- patch to make it build

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 2.4.1-1mdv2009.0
+ Revision: 192469
- new version
- drop patch

* Thu Mar 27 2008 Frederic Crozat <fcrozat@mandriva.com> 2.4.0-2mdv2008.1
+ Revision: 190737
- Patch0 : various fixes from SVN (including HTTP Digest Authentication)

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.4.0-1mdv2008.1
+ Revision: 183693
- new version

* Mon Feb 25 2008 Götz Waschk <waschk@mandriva.org> 2.3.4-1mdv2008.1
+ Revision: 175037
- new version

* Tue Feb 12 2008 Götz Waschk <waschk@mandriva.org> 2.3.2-1mdv2008.1
+ Revision: 165689
- new version
- new major
- update file list

* Mon Jan 28 2008 Götz Waschk <waschk@mandriva.org> 2.3.0.1-1mdv2008.1
+ Revision: 159519
- new version
- update file list

* Mon Jan 28 2008 Götz Waschk <waschk@mandriva.org> 2.3.0-1mdv2008.1
+ Revision: 159381
- new version
- new api
- new major

* Thu Jan 17 2008 Thierry Vignaud <tv@mandriva.org> 2.2.104-2mdv2008.1
+ Revision: 154149
- do not package big changelog
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Nov 27 2007 Götz Waschk <waschk@mandriva.org> 2.2.104-1mdv2008.1
+ Revision: 113314
- new version

* Sun Oct 28 2007 Götz Waschk <waschk@mandriva.org> 2.2.103-1mdv2008.1
+ Revision: 102868
- new version

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 2.2.102-1mdv2008.1
+ Revision: 98531
- new version

* Wed Oct 10 2007 Götz Waschk <waschk@mandriva.org> 2.2.101-2mdv2008.1
+ Revision: 96656
- fix obsoletes

* Sat Oct 06 2007 Götz Waschk <waschk@mandriva.org> 2.2.101-1mdv2008.1
+ Revision: 95654
- new version
- new devel name


* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 2.2.100-1mdv2007.0
+ Revision: 119994
- new version

* Tue Jan 09 2007 Götz Waschk <waschk@mandriva.org> 2.2.99-1mdv2007.1
+ Revision: 106276
- new version

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 2.2.98-1mdv2007.1
+ Revision: 86160
- new version

* Tue Nov 07 2006 Götz Waschk <waschk@mandriva.org> 2.2.97-1mdv2007.0
+ Revision: 77058
- Import libsoup

* Tue Nov 07 2006 Götz Waschk <waschk@mandriva.org> 2.2.97-1mdv2007.1
- New version 2.2.97

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 2.2.96-1
- New release 2.2.96

* Tue Jul 11 2006 Götz Waschk <waschk@mandriva.org> 2.2.95.1-1mdv2007.0
- New release 2.2.95.1

* Tue Jul 11 2006 Götz Waschk <waschk@mandriva.org> 2.2.95-1
- New release 2.2.95

* Wed Jun 14 2006 Götz Waschk <waschk@mandriva.org> 2.2.94-1
- New release 2.2.94

* Wed May 31 2006 Götz Waschk <waschk@mandriva.org> 2.2.93-1mdv2007.0
- New release 2.2.93

* Tue Apr 11 2006 Götz Waschk <waschk@mandriva.org> 2.2.92-1mdk
- New release 2.2.92

* Sun Mar 05 2006 Götz Waschk <waschk@mandriva.org> 2.2.91-1mdk
- drop patch
- New release 2.2.91

* Tue Jan 31 2006 Götz Waschk <waschk@mandriva.org> 2.2.7-2mdk
- patch for bug #20426

* Thu Nov 17 2005 Götz Waschk <waschk@mandriva.org> 2.2.7-1mdk
- New release 2.2.7

* Thu Oct 20 2005 Frederic Crozat <fcrozat@mandriva.com> 2.2.6.1-2mdk
- Add conflicts to ease upgrade

* Thu Oct 06 2005 Frederic Crozat <fcrozat@mandriva.com> 2.2.6.1-1mdk
- Release 2.2.6.1
- Remove patch0

* Tue Aug 09 2005 Frederic Crozat <fcrozat@mandriva.com> 2.2.3-2mdk 
- Rebuild

* Wed Apr 20 2005 Frederic Crozat <fcrozat@mandriva.com> 2.2.3-1mdk 
- Release 2.2.3 (based on Götz Waschk)

* Thu Feb 17 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.2-1mdk 
- Release 2.2.2

* Mon Feb 14 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.2.1-3mdk
- nuke lib64 rpaths

* Tue Jan 04 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.1-2mdk 
- Rebuild with latest gnutls

* Wed Oct 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.1-1mdk
- New release 2.2.1
- Remove patch0 (merged upstream)

* Sat Aug 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0
- Change major

* Mon Aug 16 2004 Götz Waschk <waschk@linux-mandrake.com> 2.1.13-1mdk
- new major
- New release 2.1.13

* Wed Jul 21 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.1.12-1mdk
- New release 2.1.12

* Sat Jun 05 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.1.11-1mdk
- New release 2.1.11

* Sat May 22 2004 Abel Cheung <deaddog@deaddog.org> 2.1.10-2mdk
- __libtoolize can be removed now

* Sat May 22 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.1.10-1mdk
- New release 2.1.10

* Wed Apr 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.9-1mdk
- New release 2.1.9

* Fri Mar 12 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.28-1mdk
- Release 1.99.28

